@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,300;0,400;0,500;0,700;0,900;1,300;1,400;1,500;1,700;1,900&display=swap');

/*
#1F5C2F - Verde escuro
#00B328 - Verde claro
#F7F7F7 - Branco
#1F1E22 - Preto
*/

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    outline: none;
    border: none;
    text-decoration: none;
}

html {
    width: 100vw;
    height: 100vh;
    font-size: 62.5%;
    font-family: 'Roboto', sans-serif;
    overflow-x: hidden;
    scroll-behavior: smooth;
    scroll-padding-top: 8rem;
}

/* MENU */

.content {
    width: 100vw;
    height: 70px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #1F1E22;
    position: fixed;
    padding-left: 20rem;
}

.logo a {
    display: flex;
    align-items: center;
    gap: 10px; /* Espaço entre a imagem e o texto */
    white-space: nowrap; /* Impede que o texto quebre */
    cursor: pointer;
}

.logo h3 {
    color: #00B328;
    font-size: 1.8rem;
    margin: 0; /* Remove margens que podem estar causando o problema */
    white-space: nowrap; /* Impede que o texto quebre para uma nova linha */
}

.logo img {
    max-width: 100%;
    height: auto;
    width: auto;
    max-height: 60px; /* Mantém o tamanho máximo no menu */
}

.content .list-menu {
    width: 600px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.content .list-menu li a{
    position: relative;
    padding-top: 3rem;
    padding-bottom: 2rem;
    padding-left: 1rem;
    padding-right: 1rem;
    color: #00B328;
    font-size: 1.8rem;
    text-transform: uppercase;
    text-decoration: none;
    font-weight: 500;
    transition: all 200ms ease-in;
}

.content .list-menu li a::after {
    content: ''; /* Cria o pseudo-elemento */
    position: absolute;
    left: 0;
    bottom: -3px; /* Define a distância da linha para o texto */
    width: 100%;
    height: 2px; /* Define a espessura do sublinhado */
    background-color: transparent; /* Inicialmente invisível */
    transition: background-color 0.3s ease; /* Efeito ao passar o mouse */
}

.content .list-menu li a:hover::after {
    background-color: white; /* Torna a linha visível ao passar o mouse */
}

/* Primeira Seção */

.first-section {
    min-height: 100vh;
    width: 100vw;
    background-image: url(/images/capsite.png);
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top: 8rem; /* espaço pro menu fixo */
}

.first-section .conteudo-principal{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding-bottom: 300px;
}

.first-section h1{
    color: #46b24f;
    font-size: 6rem;
    margin-bottom: 1rem;
    font-family: 'Roboto', sans-serif;
}

.first-section img{
    width: 90px;
}

.first-section h2{
    color: rgb(177, 177, 177);
    font-size: 3rem;
    font-weight: 400;
    text-transform: uppercase;
    font-family: 'Roboto', sans-serif;
    margin-bottom: 3rem;
}

/* Cardápio */

.sobrenos {
    width: 100vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #1F1E22;
    padding: 5rem 0;
}
.sobrenos h2 {
    font-size: 3rem;
    color: #F7F7F7;
    text-transform: uppercase;
    margin-bottom: 2rem;
}
.itens-sobrenos {
    display: flex;
    justify-content: center;
    gap: 30px;
    flex-wrap: wrap;
    width: 80%;
}

.sobrenos, .section-container {
    padding-top: 8rem; /* Adiciona um espaçamento no topo para evitar sobreposição */
}

.card1 {
    background: #F7F7F7;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    padding: 2rem;
    text-align: center;
    width: 300px;
    transition: transform 0.3s ease;
}
.card1:hover {
    box-shadow: 0 8px 15px rgba(0, 0, 0, 0.2); /* Adiciona um efeito de sombra suave */
    transition: box-shadow 0.3s ease;
}
.card1 i {
    font-size: 3rem;
    color: #46b24f;
    margin-bottom: 1rem;
}
.card1 h3 {
    font-size: 1.8rem;
    text-transform: uppercase;
    margin-bottom: 1rem;
}
.card1 p {
    font-size: 1.4rem;
    color: #333;
}

.section-container {
    width: 100vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #1F1E22;
    padding: 5rem 0;
}
.section-container h2 {
    font-size: 3rem;
    color: #F7F7F7;
    text-transform: uppercase;
    margin-bottom: 2rem;
}
.items-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 30px;
    width: 80%;
}
.card {
    background: #ffffff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    padding: 2rem;
    text-align: center;
    transition: transform 0.3s ease;
}

.card:hover {
    box-shadow: 0 8px 15px rgba(0, 0, 0, 0.2); /* Adiciona um efeito de sombra suave */
    transition: box-shadow 0.3s ease;
}

.card i {
    font-size: 3rem;
    color: #46b24f;
    margin-bottom: 1rem;
}
.card h3 {
    font-size: 1.8rem;
    text-transform: uppercase;
    margin-bottom: 1rem;
}
.card p {
    font-size: 1.4rem;
    color: #333;
}

@media (max-width: 1024px) {
    .items-container {
        grid-template-columns: repeat(2, 1fr);
    }
}
@media (max-width: 768px) {
    .items-container {
        grid-template-columns: repeat(1, 1fr);
    }
}

.footer {
    background-color: #1F1E22;
    color: #ffffff;
    padding: 3rem 1rem;
}

.footer-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    max-width: 1200px;
    margin: 0 auto;
    margin-bottom: 50px;
}

.footer-logo {
    text-align: center;
}

.footer-logo img {
    width: 120px;
    margin-bottom: 1rem;
    margin-left: 200px;
}

.social-icons {
    margin-top: 3rem;
}

.social-icons a {
    color: #ffffff;
    font-size: 2.9rem;
    margin: 0 10px;
    transition: color 0.3s ease;
}

.social-icons a:hover {
    color: #46b24f;
}

.footer-links, .footer-contact {
    text-align: left;
}

.footer-links h4, .footer-contact h4 {
    margin-bottom: 1rem;
    font-size: 2.0rem;
}

.footer-links ul, .footer-contact ul {
    list-style: none;
    padding: 0;
}

.footer-links ul li, .footer-contact ul li {
    margin-bottom: 0.8rem;
    font-size: 1.3rem;
}

.footer-links ul li a, .footer-contact ul li {
    color: #ffffff;
    text-decoration: none;
    transition: color 0.3s ease;
}

.footer-links ul li a:hover {
    color: #46b24f;
}

.footer-contact ul li i {
    margin-right: 10px;
}

.footer-bottom {
    text-align: center;
    margin-top: 2rem;
    font-size: 1.4rem;
    border-top: 1px solid #333;
    padding-top: 1rem;
}
.contact-form {
    background: #ffffff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    padding: 2rem;
    width: 80%;
    max-width: 600px;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}
.contact-form label {
    font-size: 1.6rem;
    font-weight: bold;
    color: #333;
}
.contact-form input,
.contact-form textarea {
    width: 100%;
    padding: 1rem;
    font-size: 1.4rem;
    border: 1px solid #ccc;
    border-radius: 5px;
}
.contact-form button {
    background-color: #46b24f;
    color: white;
    font-size: 1.6rem;
    padding: 1rem;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
.contact-form button:hover {
    background-color: #3d9c42;
}

/* Estilo do botão flutuante do WhatsApp */
.whatsapp-float {
    position: fixed; /* Fixa o botão na tela */
    bottom: 60px; /* Distância do fundo da tela */
    right: 60px; /* Distância da direita da tela */
    background-color: #25D366; /* Cor do WhatsApp */
    color: white; /* Cor do ícone */
    width: 60px; /* Largura do botão */
    height: 60px; /* Altura do botão */
    border-radius: 50%; /* Formato circular */
    text-align: center; /* Centraliza o ícone */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Sombra suave */
    display: flex; /* Usa flexbox para centralizar o ícone */
    align-items: center; /* Centraliza verticalmente */
    justify-content: center; /* Centraliza horizontalmente */
    font-size: 24px; /* Tamanho do ícone */
    text-decoration: none; /* Remove sublinhado */
    transition: background-color 0.3s ease, transform 0.3s ease; /* Transições suaves */
}

.card1 i.fa-check {
    color: #00B328;
    font-size: 16px;
    margin-right: 6px;
}

/* Efeito ao passar o mouse no botão */
.whatsapp-float:hover {
    background-color: #128C7E; /* Cor mais escura ao passar o mouse */
    transform: scale(1.1); /* Aumenta ligeiramente o botão */
}

/* Efeito ao clicar no botão */
.whatsapp-float:active {
    transform: scale(0.9); /* Reduz ligeiramente o botão */
}

@media (max-width: 768px) {
    .first-section {
        background-image: url(/images/logoA.png);
        background-color: #1F1E22;
    }
}

@media (max-width: 1200px) {
    .main {
        display: block;
        
    }

    .sobre-nos img {
        width: 600px;
        margin-left: -2px;
    }   
}

@media (max-width: 980px) {
   
    html {
        font-size: 50%;
    }
    
}

@media (max-width: 870px) {
    .content {
        justify-content: space-between;
        padding: 0px 40px;
    }

    .content .list-menu{
        display: none;
    }

    .one,
    .two,
    .three {
        width: 100%;
        height: 4px;
        background-color: white;
        margin: 6px auto;

        transition-duration: 0.5s ;
    }

    .menu-toggle {
        width: 40px;
        height: 30px;
        

    }

    .content.on {
        position: absolute;
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        background-color: #1f1e1f;
        z-index: 10;

        display: flex;
        justify-content: center;
        align-items: center;
    }

    .content.on .logo {
        display: none;
    }

    .content.on .menu-toggle {
        position: absolute;
        right: 40px;
        top: 20px;
    }

    .content.on .list-menu {
        display: block;
        
    }

    .content.on .list-menu li {
        text-align: center;
        display: flex;
        justify-content: center;
        
    }

    .content.on .list-menu li a {
        font-size: 4rem;
        display: block;
    }


    .content.on .menu-toggle .one {
        transform: rotate(45deg) translate(8px, -7px);
    }
    .content.on .menu-toggle .two {
        opacity: 0;
    }

    .content.on .menu-toggle .three {
        transform: rotate(-45deg) translate(20px, -6px);
    }

    .contatos-secao {
        display: block;
        text-align: center;
        font-size: 2rem;
        
    }

    .contatos-secao div {
        margin: 2rem;
        
    }

}

@media (max-width: 720px) {
    .conteudo-principal h1 {
        width: 350px;
        text-align: center;
    }

    .footer-logo {
        display: none; /* Esconde a logo do footer */
    }

    .footer-container {
        display: flex;
        flex-direction: column; /* Empilha os itens */
        align-items: center; /* Centraliza os itens horizontalmente */
        text-align: center; /* Centraliza o texto */
    }

    .footer-links, .footer-contact {
        margin-top: 1rem;
    }
}

@media (max-width: 768px) {
    .logo img {
        max-height: 45px;
    }
}

@media (max-width: 645px) {
    .sobre-nos img {
        width: 400px;
        margin-left: 10px;
    }

    .contentsobre p {
        text-align: center;
        width: 400px;
    }

    .conteudo-principal h2 {
        width: 200px;
        text-align: center;
    }
}

@media (max-width: 480px) {
    .logo img {
        max-height: 35px;
    }
}

@media (max-width: 399px) {
    .conteudo-principal h1 {
        font-size: 3rem;
    }

    .conteudo-principal h2 {
        font-size: 2rem;
    }

    .sobre-nos img {
        width: 300px;
        height: auto;
        margin-left: 10px;
    }

    .contentsobre p {
        text-align: center;
        width: 200px;
    }
}
